#include <iostream>

using namespace std;

int main()
{
    int n, l;
    cin >> n >> l;
    int h[1000];
    for (int i = 0; i < n; i++)
    {
        cin >> h[i];
    }
    for (int i = 0; i < n; i++)
    {
        if (h[i] < l)
        {
            cout << i + 1 << endl;
            return 0;
        }
    }
    cout << -1 << endl;
    return 0;
}